Name:           xawtv4
Version:        4.0
Release:        0.1.pre.20070514%{?dist}
Summary:        Video4Linux Stream Capture Viewer & Recorder

Group:          Applications/Multimedia
License:        GPL
URL:            http://linux.bytesex.org/xawtv/
Source0:        http://dl.bytesex.org/cvs-snapshots/xawtv-20070514-115618.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:  aalib-devel
BuildRequires:  arts-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  faac-devel
BuildRequires:  faad2-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  kernel-headers
BuildRequires:  libdv-devel
BuildRequires:  lirc-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libxml2-devel
BuildRequires:  mpeg2dec-devel
BuildRequires:  ncurses-devel
#BuildRequires:  openmotif-devel
BuildRequires:  zvbi-devel

BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXv-devel
BuildRequires:  libXmu-devel
BuildRequires:  libSM-devel
BuildRequires:  libICE-devel
BuildRequires:  libXpm-devel

%description
xawtv started as TV application for the bttv driver, because the Motif-based 
"xtvscreen" was the only TV application at this time. Alot has changed since:
    * The xawtv and bttv driver switched over to the video4linux interface.
    * Support for more interfaces was added: Xvideo Extention, the new 
      video4linux2 interface and BSD Family video grabber driver (bktr).
    * xawtv isn't a single application any more, it is a small suite of 
      video4linux related software, with video recording capabilities and
      serveral useful command line tools.
    * In the future even more hardware will be supported, the current
      development snapshots already have DVB support for example. 


%prep
%setup -q -n xawtv

#snapshot
sh autogen.sh


%build
%configure \
  --enable-xfree-ext \
  --enable-xvideo \
  --enable-lirc \
  --disable-quicktime \
  --disable-motif \
  --disable-aa \
  --enable-alsa \
  --enable-arts \
  --enable-mad \
  --enable-mpeg2 \
  --enable-zvbi \
  --enable-dvb \
  --enable-gl \
  --enable-dv \
%ifarch x86_64
  --enable-mmx \
%else
  --disable-mmx \
%endif
  --enable-xft \
  --with-x

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT SUID_ROOT="-pm 0755"

# Thoses conflict with man-pages-??
rm -rf  $RPM_BUILD_ROOT%{_mandir}/??

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
for i in 16x16 32x32 48x48; do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps
install -m 0644 contrib/xawtv$i.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps/xawtv.xpm
done

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=XawTV 4
Comment=Video4Linux Stream Capture Viewer & Recorder
Exec=xawtv
Icon=xawtv.xpm
Terminal=false
Type=Application
Categories=Application;AudioVideo;
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor livna \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
%{name}.desktop



%find_lang xawtv


%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &>/dev/null || :


%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f xawtv.lang
%defattr(-,root,root,-)
%doc COPYING Changes TODO README README.* contrib/frequencies*
%{_bindir}/*
%{_libdir}/xawtv4/
%{_datadir}/xawtv/
%{_mandir}/man?/*.gz
%{_datadir}/icons/hicolor/*/apps/*.xpm
%{_datadir}/applications/*.desktop


%changelog
* Sun Jun 10 2007 kwizart < kwizart at gmail.com > - 4.0-0.1.pre.20070514
- Initial package for Fedora of xawtv pre 0.4

